Subject: IPP> Short report from IPP sessions in IETF-39

From: Eric Ostberg <[email-masked]>
Date: Thu, 14 Aug 1997 16:10:32 +0200

Keith and Harald,

please find attached my short report for IPP.

Carl-Uno

Short Report from IPP sessions on Monday August 11 and Wednesday August 13
===============================================================

Chairs: Carl-Uno Manros and Steve Zilles

The Monday session meeting was attended by about 35 experts and the Wednesday session by about 25.
Total of 48 experts signed up on the attendence sheet.

All of the WGs Internet-Drafts were open to review and comments.

The Model & Semantics, Security, Protocol Specification, and LPD Mapping I-Ds still had a few open issues, which will be discussed further on the IPP DL.  For the remaining documents, the only comment was that some aligment and updating is still needed to reflect changes in the other I-Ds.

Highlights of the more important discussion points:

a) In the Model & Semantics I-D

Exact compression algorithms to be used.

Instruction from Keith Moore not to reference Job Monitoring MIB, as this is not an IETF project.  Instruction to also MIME types rather than MIB enums to reference document formats.

Job-URI vs. Printer-URI plus Job ID; recent change critizised, further discussion needed.

Order of result from Get-Jobs.

Media-ready vs. media-supported.  No clear agreement whether both are needed.

b)  Security I-D

This document will be split over the Model & Semantics and the Protocol Specification I-Ds in next draft.

Some further work needed on how client and server can always negotiate security features, even if no security is required.  This problem is basically a generic HTTP problem, but a specific solution for IPP seem to be required.

c)  Protocol specification I-D

Discussion of POST vs. a new PRINT method.  Reasons for using PRINT over POST were not compelling.
Will only be discussed if new strong arguments can be brought up in favor of a change.

d) LPD Mapping

Made clear that this is an INFORMATIONAL document only.  Content considered as hints and example to implementors of gateways.

e) General

The chairs made clear that the intent of the WG is to move current I-Ds to final call in September.

-----

Munich, August 14, 1997 - Carl-Uno Manros - IPP Co-chair